-- Maps specific key combinations to console commands
-- Key combos should be seperated by -'s
-- See keyNames.lua for key names! Key names for modifiers are as follows and must be followed by a dash ('-')
-- Shift = 0x10
-- Ctrl = 0x11
-- Alt = 0x12
keyDescriptions = {
    ['escape'] = '<LOC key_desc_0000>Deselects current selection or cancels current action',
    ['pause'] = '<LOC key_desc_0002>Toggles Game Pause',
    ['cap_frame'] = '<LOC key_desc_0003>Take a screen shot',
    ['show_fps'] = "<LOC key_desc_0131>Toggle the display of frames rendered per second",
    
    ['group1'] = '<LOC key_desc_0004>Recall Group 1',
    ['group2'] = '<LOC key_desc_0005>Recall Group 2',
    ['group3'] = '<LOC key_desc_0006>Recall Group 3',
    ['group4'] = '<LOC key_desc_0007>Recall Group 4',
    ['group5'] = '<LOC key_desc_0008>Recall Group 5',
    ['group6'] = '<LOC key_desc_0009>Recall Group 6',
    ['group7'] = '<LOC key_desc_0010>Recall Group 7',
    ['group8'] = '<LOC key_desc_0011>Recall Group 8',
    ['group9'] = '<LOC key_desc_0012>Recall Group 9',
    ['group0'] = '<LOC key_desc_0013>Recall Group 10',
    ['toggle_lifebars'] = '<LOC key_desc_0014>Toggle life bars',

    ['set_group1'] = '<LOC key_desc_0015>Set Group 1',
    ['set_group2'] = '<LOC key_desc_0016>Set Group 2',
    ['set_group3'] = '<LOC key_desc_0017>Set Group 3',
    ['set_group4'] = '<LOC key_desc_0018>Set Group 4',
    ['set_group5'] = '<LOC key_desc_0019>Set Group 5',
    ['set_group6'] = '<LOC key_desc_0020>Set Group 6',
    ['set_group7'] = '<LOC key_desc_0021>Set Group 7',
    ['set_group8'] = '<LOC key_desc_0022>Set Group 8',
    ['set_group9'] = '<LOC key_desc_0023>Set Group 9',
    ['set_group0'] = '<LOC key_desc_0024>Set Group 10',
    
    ['append_group1'] = '<LOC key_desc_0110>Append Group 1 to current selection',
    ['append_group2'] = '<LOC key_desc_0111>Append Group 2 to current selection',
    ['append_group3'] = '<LOC key_desc_0112>Append Group 3 to current selection',
    ['append_group4'] = '<LOC key_desc_0113>Append Group 4 to current selection',
    ['append_group5'] = '<LOC key_desc_0114>Append Group 5 to current selection',
    ['append_group6'] = '<LOC key_desc_0115>Append Group 6 to current selection',
    ['append_group7'] = '<LOC key_desc_0116>Append Group 7 to current selection',
    ['append_group8'] = '<LOC key_desc_0117>Append Group 8 to current selection',
    ['append_group9'] = '<LOC key_desc_0118>Append Group 9 to current selection',
    ['append_group0'] = '<LOC key_desc_0119>Append Group 10 to current selection',
    
    ['fac_group1'] = '<LOC key_desc_0120>Select only factories from Group 1',
    ['fac_group2'] = '<LOC key_desc_0121>Select only factories from Group 2',
    ['fac_group3'] = '<LOC key_desc_0122>Select only factories from Group 3',
    ['fac_group4'] = '<LOC key_desc_0123>Select only factories from Group 4',
    ['fac_group5'] = '<LOC key_desc_0124>Select only factories from Group 5',
    ['fac_group6'] = '<LOC key_desc_0125>Select only factories from Group 6',
    ['fac_group7'] = '<LOC key_desc_0126>Select only factories from Group 7',
    ['fac_group8'] = '<LOC key_desc_0127>Select only factories from Group 8',
    ['fac_group9'] = '<LOC key_desc_0128>Select only factories from Group 9',
    ['fac_group0'] = '<LOC key_desc_0129>Select only factories from Group 10',

    ['next_cam_position'] = '<LOC key_desc_0025>Go to the next saved Camera Position',
    ['add_cam_position'] = '<LOC key_desc_0026>Save a Camera Position',
    ['rem_cam_position'] = '<LOC key_desc_0027>Delete current Camera Position',
    
    ['zoom_in'] = '<LOC key_desc_0028>Zoom your View in',
    ['zoom_out'] = '<LOC key_desc_0029>Zoom your View out',
    ['zoom_in_fast'] = '<LOC key_desc_0030>Zoom your View in fast',
    ['zoom_out_fast'] = '<LOC key_desc_0031>Zoom your View out fast',
    ['tog_military'] = '<LOC key_desc_0032>Toggle Military Overlay',
    ['tog_defense'] = '<LOC key_desc_0033>Toggle Unit Color',
    ['tog_econ'] = '<LOC key_desc_0034>Toggle Economy Overlay',
    ['tog_intel'] = '<LOC key_desc_0035>Toggle Intel Overlay',
    ['track_unit'] = '<LOC key_desc_0038>Track a unit in the Primary view',
    ['track_unit_minimap'] = '<LOC key_desc_0039>Track a unit in the Strategic view',
    ['track_unit_second_mon'] = '<LOC key_desc_0040>Track a unit on the Second Monitor',
    ['select_air'] = '<LOC key_desc_0046>Select all Air units',
    ['select_naval'] = '<LOC key_desc_0048>Select all Naval units',
    ['cap_frames'] = '<LOC key_desc_0050>Capture Frames',
    ['pause_unit'] = '<LOC key_desc_0056>Pause',
    ['suicide'] = '<LOC key_desc_0057>Self-Destruct',
    ['select_land'] = '<LOC key_desc_0058>Select all Land units',
    ['select_all_units_of_same_type'] = '<LOC key_desc_0059>Select all units similar to those selected',
    ['reset_camera'] = '<LOC key_desc_0060>Reset the Camera',
    # ['build'] = '<LOC key_desc_0061>Silo Build mode',
    ['select_engineers'] = '<LOC key_desc_0062>Select all Engineers',
    ['repair'] = '<LOC key_desc_0036>Repair',
    ['reclaim'] = '<LOC key_desc_0037>Reclaim',
    ['patrol'] = '<LOC key_desc_0043>Patrol',
    ['attack'] = '<LOC key_desc_0044>Attack',
    ['capture'] = '<LOC key_desc_0045>Capture',
    ['stop'] = '<LOC key_desc_0047>Stop and cancel all Orders',
    ['dive'] = '<LOC key_desc_0049>Dive',
    ['ferry'] = '<LOC key_desc_0051>Ferry',
    ['guard'] = '<LOC key_desc_0052>Assist',
    ['transport'] = '<LOC key_desc_0053>Transport',
    ['launch_tactical'] = '<LOC key_desc_0054>Launch a Tactical Missile',
    ['overcharge'] = '<LOC key_desc_0055>Overcharge',
    ['move'] = '<LOC key_desc_0065>Move',
    ['nuke'] = '<LOC key_desc_0063>Nuke',
    ['mode'] = '<LOC key_desc_0101>Cycle through all of the available fire states.',
    ['shift_repair'] = '<LOC key_desc_0036>Repair',
    ['shift_reclaim'] = '<LOC key_desc_0037>Reclaim',
    ['shift_patrol'] = '<LOC key_desc_0043>Patrol',
    ['shift_attack'] = '<LOC key_desc_0044>Attack',
    ['shift_capture'] = '<LOC key_desc_0045>Capture',
    ['shift_stop'] = '<LOC key_desc_0047>Stop and cancel all Orders',
    ['shift_dive'] = '<LOC key_desc_0049>Dive',
    ['shift_ferry'] = '<LOC key_desc_0051>Ferry',
    ['shift_guard'] = '<LOC key_desc_0052>Assist',
    ['shift_transport'] = '<LOC key_desc_0053>Transport',
    ['shift_launch_tactical'] = '<LOC key_desc_0054>Launch a Tactical Missile',
    ['shift_overcharge'] = '<LOC key_desc_0055>Overcharge',
    ['shift_move'] = '<LOC key_desc_0065>Move',
    ['shift_nuke'] = '<LOC key_desc_0063>Nuke',
    ['rename'] = '<LOC key_desc_0064>Rename the selected unit',
    ['goto_engineer'] = '<LOC key_desc_0066>Go to the nearest idle Engineer',
    ['select_idle_engineer'] = '<LOC key_desc_0067>Select the nearest idle Engineer',
    ['cycle_engineers'] = '<LOC key_desc_0068>Cycle through all Engineers',
    ['goto_commander'] = '<LOC key_desc_0069>Go to your ACU',
    ['select_commander'] = '<LOC key_desc_0070>Select your ACU',
    ['select_all'] = '<LOC key_desc_0071>Select all units',
    ['select_all_onscreen'] = '<LOC key_desc_0072>Select all units on the screen',
    ['select_all_eng_onscreen'] = '<LOC key_desc_0073>Select all Engineers on the screen',
    ['select_all_factory_onscreen'] = '<LOC key_desc_0074>Select all Factories on the screen',
    ['select_nearest_factory'] = '<LOC key_desc_0075>Select the nearest Factory',
    ['select_nearest_land_factory'] = '<LOC key_desc_0076>Select the nearest Land Factory',
    ['select_nearest_air_factory'] = '<LOC key_desc_0077>Select the nearest Air Factory',
    ['select_nearest_naval_factory'] = '<LOC key_desc_0078>Select the nearest Naval Factory',
    ['toggle_build_mode'] = '<LOC key_desc_0102>Toggles keyboard build command mode on and off',

    ['decrease_game_speed'] = '<LOC key_desc_0079>Decrease game speed',
    ['increase_game_speed'] = '<LOC key_desc_0080>Increase game speed',
    ['reset_game_speed'] = '<LOC key_desc_0081>Reset game speed to 0 (Normal Speed)',
    ['focus_window_primary'] = '<LOC key_desc_0082>Set focus to the Primary Monitor',
    ['focus_window_secondary'] = '<LOC key_desc_0083>Set focus to the Secondary Monitor',

    ['split_screen_enable'] = '<LOC key_desc_0084>Enable split screen',
    ['split_screen_disable'] = '<LOC key_desc_0085>Disable split screen',
    ['pause_single_step'] = '<LOC key_desc_0086>While paused, step forward one tick',
    ['chat_page_up'] = '<LOC key_desc_0087>Chat page up',
    ['chat_page_down'] = '<LOC key_desc_0088>Chat page down',
    ['chat_line_up'] = '<LOC key_desc_0089>Chat line up',
    ['chat_line_down'] = '<LOC key_desc_0090>Chat line down',

    ['switch_skin_up'] = '<LOC key_desc_0091>Rotate skins up',
    ['switch_skin_down'] = '<LOC key_desc_0092>Rotate skins down',
    ['switch_layout_up'] = '<LOC key_desc_0093>Rotate layouts up',
    ['switch_layout_down'] = '<LOC key_desc_0094>Rotate layouts down',
    
    ['toggle_main_menu'] = '<LOC key_desc_0179>Toggles the main menu',
    ['toggle_score_screen'] = '<LOC key_desc_0095>Toggles the Score Overlay',
    ['toggle_objective_screen'] = '<LOC key_desc_0096>Toggles the Objective Window',
    ['toggle_transmission_screen'] = '<LOC key_desc_0097>Toggles the Transmission Window',
    ['toggle_diplomacy_screen'] = '<LOC key_desc_0098>Toggles the Diplomacy Window',
    ['toggle_disconnect_screen'] = '<LOC key_desc_0099>Toggles the Connectivity Screen',
    ['toggle_key_bindings'] = '<LOC key_desc_0100>Toggles the Key Bindings Screen',
    ['ping_alert'] = '<LOC key_desc_0105>Create an alert ping at the mouse location',
    ['ping_attack'] = '<LOC key_desc_0106>Create an attack ping at the mouse location',
    ['ping_move'] = '<LOC key_desc_0107>Create a move ping at the mouse location',
    ['ping_marker'] = '<LOC key_desc_0108>Create a marker at the mouse location',
    ['toggle_map_control'] = "<LOC key_desc_0109>Toggles the map control window",
    ['cam_free'] = "<LOC key_desc_0104>Toggles camera free mode",
    
    ['quick_save'] = "<LOC key_desc_0130>Save the game to a special quick save file",
    ['mouse_help'] = "<LOC key_desc_0132>Turn the mouse button help icon on/off",

    ['create_build_template'] = "<LOC key_desc_0181>Create a build template based on the current selection", 

    ['debug_navpath'] = "<LOC key_desc_0133>Toggles pathfinding debugger",
    ['debug_create_unit'] = "<LOC key_desc_0134>Shows a dialog that allows you to create units",
    ['debug_teleport'] = "<LOC key_desc_0135>Teleports selected unit to the current cursor position",
    ['debug_run_opponent_AI'] = "<LOC key_desc_0136>Toggles opponent AI",
    ['debug_blingbling'] = "<LOC key_desc_0137>Provides lots of resources",
    ['debug_destroy_units'] = "<LOC key_desc_0138>Destroys selected units with no confirmation",
    ['debug_graphics_fidelity_0'] = "<LOC key_desc_0139>Set the graphics fidelity to minimum",
    ['debug_graphics_fidelity_2'] = "<LOC key_desc_0140>Set the graphics fidelity to maximum",
    ['debug_scenario_method_f3'] = "<LOC key_desc_0141>Run the scenario method OnF3",
    ['debug_scenario_method_shift_f3'] = "<LOC key_desc_0142>Run the scenario method OnShiftF3",
    ['debug_scenario_method_ctrl_f3'] = "<LOC key_desc_0143>Run the scenario method OnCtrlF3",
    ['debug_scenario_method_shift_f4'] = "<LOC key_desc_0144>Run the scenario method OnShiftF4",
    ['debug_scenario_method_ctrl_f4'] = "<LOC key_desc_0145>Run the scenario method OnCtrlF4",
    ['debug_scenario_method_ctrl_alt_f3'] = "<LOC key_desc_0146>Run the scenario method OnCtrlAltF4",
    ['debug_scenario_method_f4'] = "<LOC key_desc_0147>Run the scenario method OnF4",
    ['debug_scenario_method_f5'] = "<LOC key_desc_0148>Run the scenario method OnF5",
    ['debug_scenario_method_shift_f5'] = "<LOC key_desc_0149>Run the scenario method OnShiftF5",
    ['debug_scenario_method_ctrl_f5'] = "<LOC key_desc_0150>Run the scenario method OnCtrlF5",
    ['debug_scenario_method_ctrl_alt_f5'] = "<LOC key_desc_0151>Run the scenario method OnCtrlAltF5",
    ['debug_campaign_instawin'] = "<LOC key_desc_0152>Marks all campaign missions as won",
    ['debug_create_entity'] = "<LOC key_desc_0153>Shows a dialog that allows you to create entities",
    ['debug_show_stats'] = "<LOC key_desc_0154>Toggle a dialog that shows game statistics",
    ['debug_show_army_stats'] = "<LOC key_desc_0155>Toggle a dialog that shows army statistics",
    ['debug_toggle_log_window'] = "<LOC key_desc_0156>Toggles the debugging log window",
    ['debug_open_lua_debugger'] = "<LOC key_desc_0157>Opens the lua debugging window",
    ['debug_show_frame_stats'] = "<LOC key_desc_0158>Toggle a dialog that shows performance statistics",
    ['debug_render_wireframe'] = "<LOC key_desc_0159>Toggle the rendering of all geometry in wireframe mode",
    ['debug_weapons'] = "<LOC key_desc_0160>Toggles the weapon arc debug information",
    ['debug_grid'] = "<LOC key_desc_0161>Toggles the debugging o grid",
    ['debug_show_focus_ui_control'] = "<LOC key_desc_0162>Toggles the display of a rectangle around the focus UI control",
    ['debug_dump_focus_ui_control'] = "<LOC key_desc_0163>Dumps info about UI controls under mouse to log window",
    ['debug_dump_ui_controls'] = "<LOC key_desc_0164>Dumps info about all UI controls to the log window",
    ['debug_skeletons'] = "<LOC key_desc_0165>Toggles wireframe skeletons for all units",
    ['debug_bones'] = "<LOC key_desc_0166>Toggles bone display for all units",
    ['debug_redo_console_command'] = "<LOC key_desc_0167>Re-runs the last console command",
    ['debug_copy_units'] = "<LOC key_desc_0168>Remember all unit types in the paste buffer",
    ['debug_paste_units'] = "<LOC key_desc_0169>Paste a copy of all units in the past buffer",
    ['debug_cam_zoom_far'] = "<LOC key_desc_0170>Quickly zoom the camera out",
    ['debug_cam_zoom_near'] = "<LOC key_desc_0171>Quickly zoom the camera in",
    ['debug_nodamage'] = "<LOC key_desc_0172>Toggle unit damage",
    ['debug_show_emmitter_window'] = "<LOC key_desc_0173>Display the emitter adjustment dialog",
    ['debug_sally_shears'] = "<LOC key_desc_0174>Remove fog of war",
    ['debug_collision'] = "<LOC key_desc_0175>Toggle collision debug information",
    ['debug_pause_single_step'] = "<LOC key_desc_0176>Single step the simulation while game is paused",
    ['debug_restart_session'] = "<LOC key_desc_0177>Restart the current session using the same parameters",
    ['debug_toggle_flavah'] = "<LOC key_desc_0178>Toggle the world flavor text on/off",
    ['debug_ssmode'] = '<LOC key_desc_0001>Toggles Screen Shot mode',
    ['debug_toggle_pannels'] = '<LOC key_desc_0180>Toggle UI panels on/off',
}
